<div class="sb-certificatePage-bg">
  <div *ngIf="!viewCertificate" class="sb-certificatePage" [class.loading]="loader" [class.error]="error">
    <div class="sb-certificatePage-overlay"></div>
    <div class="sb-certificatePage-header">
      <img src="assets/images/sunbird.svg" class="sb-certificatePage-logo" alt="SUNBIRD Logo"/>
    </div>
    <div class="sb-certificatePage-desc mb-auto m-0">
      <div class="sb-certificatePage-loader">
        <p>Verifying your certificates</p>
        <img src="assets/images/loader.gif" class="sb-certificatePage-loader-img" alt="Loader"/>
      </div>
      <img src="assets/images/certificate.png" class="sb-certificatePage-desc-img" alt="Certificate Desc"/>
    </div>
    <div class="sb-certificatePage-form mb-auto">
      <div class="sb-form-field-group">
      <label *ngIf="!wrongCertificateCode" class="sb-certificatePage-label" for="certificate">
        Enter the Certificate Code here
      </label>
      <label *ngIf="wrongCertificateCode" class="sb-field-error-label sb-certificatePage-label sb-color-error" for="certificate">
        Please enter valid Certification code
      </label>
      <div class="sb-certificatePage-field sb-field" id="certificate">
        <input #codeInputField (keyup)="getCodeLength($event)" (keydown.space)="$event.preventDefault();" [(ngModel)]="certificateCode" type="text" maxlength="6" pattern="^[-a-zA-Z0-9@\.+_]+$" required autofocus name="certificate" class="sb-form-control text-center"/>
        <button [disabled]="!enableVerifyButton" type="button" class="sb-btn sb-btn-primary sb-btn-normal ripple width-100 mt-32" (click)="certificateVerify()">
          Verify
        </button>
      </div>
    </div>
     
  </div>
</div>

<div class="sb-certificatePage sb-certificate-view sb-certificatePage-flexHeight">
  <div class="sb-certificatePage-header">
    <img src="assets/images/sunbird.svg" class="sb-certificatePage-logo" alt="SUNBIRD Logo"/>
  </div>
  <div class="sb-certificatePage-holder-details mb-auto">
    <img src="assets/images/badge.svg" class="sb-icon-badge mt-24 mb-8" alt="Badge"/>
    <p class="sb-certificatePage-holder-desc sb-certificatePage-holder-desc-primary">
      Certificate issued to
    </p>
    <h4 class="sb-certificatePage-holder-name"> 
      Namename Name N
    </h4>
    <p class="sb-certificatePage-holder-desc">
      For successfully completing the course, 
      <strong class="d-block">“Active Listening for Master Coaches”</strong>
      <span class="d-block">on SUNBIRD on<strong>09 Aug 2019</strong></span>
    </p>
  </div>
</div>

<div class="sb-mobileDevice">
  <div class="sb-mobileDevice-screen">
    <div class="sb-mobileDevice-sensors">
      <div class="sb-mobileDevice-sensor"></div>
      <div class="sb-mobileDevice-speaker"></div>
      <div class="sb-mobileDevice-sensor"></div>
    </div>
    <iframe class="sb-mobileDevice-videoScreen" src="https://www.youtube.com/embed/2Xgff-gsf0A?rel=0&autoplay=1" frameborder="0" allowfullscreen></iframe>
  </div>
</div>


<div class="sb-certificatePage sb-certificate-view">
  <div class="sb-certificatePage-holder-details">
    <a class="width-100 d-flex flex-jc-space-between p-8 mt-16 cursor-pointer sb-btn-arrow" title="Return to Courses">
      Return to Courses <i class="angle right icon"></i>
    </a>
    <!-- <button class="sb-btn sb-btn-normal sb-btn-tertiary">Close <i class="close icon"></i></button> -->
  </div>
</div>